Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 978775 - is_node_member_clustat() causes services to be failed when a failed node rejoins the cluster
Summary: is_node_member_clustat() causes services to be failed when a failed node rejo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: resource-agents
Version: 6.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: David Vossel
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 976443
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-27 06:45 UTC by Jan Kurik
Modified: 2018-12-02 16:44 UTC (History)
11 users (show)

Fixed In Version: resource-agents-3.9.2-21.el6_4.3
Doc Type: Bug Fix
Doc Text:
Usage of lvm.sh with tags resulted in the stripping of cluster tags when the node rejoined the cluster. This was because the lvm.sh agent was unable to accurately detect the tag represented by a cluster node. Thus, the active logical volume on a cluster node failed when another node re-joined the cluster. This update properly detects whether tags represent a cluster node, the node-name, or, if fqdn is returned by the corosync-quorumtool -l output. When nodes re-join the cluster, tags are not stripped of LVM volume groups, and the volume group no longer fails on other nodes
Clone Of:
Environment:
Last Closed: 2013-07-01 17:06:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 404603 0 None None None Never
Red Hat Product Errata RHEA-2013:1007 0 normal SHIPPED_LIVE resource-agents enhancement update 2013-07-01 21:05:15 UTC

Description Jan Kurik 2013-06-27 06:45:06 UTC
This bug has been copied from bug #976443 and has been proposed
to be backported to 6.4 z-stream (EUS).

Comment 7 errata-xmlrpc 2013-07-01 17:06:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1007.html


Note You need to log in before you can comment on or make changes to this bug.